#!/bin/bash

update-ca-certificates 

if [ ! -f /var/www/reviewboard/conf/settings_local.py ]; then
  rb-site install --noinput --site-root "$SITEROOT" --opt-out-support-data --domain=reviews --secret-key="$SECRETKEY" --db-type=mysql --db-name=reviewboard --db-host="$DBHOST" --db-user="$DBUSER" --db-pass="$DBPASS" --cache-type=file --cache-info=/var/cache/reviewboard --web-server-type=apache --web-server-port=80 --admin-user=admin --admin-password="$ADMINPASS" /var/www/reviewboard

  sed -i -e 's/DEBUG = False/DEBUG = True/' /var/www/reviewboard/conf/settings_local.py

  mkdir -p /var/cache/reviewboard
fi

chown -R www-data /var/www/reviewboard/data/ /var/www/reviewboard/logs/ /var/www/reviewboard/htdocs/media/uploaded/ /var/www/reviewboard/htdocs/media/ext /var/cache/reviewboard

cp /var/www/reviewboard/conf/apache-wsgi.conf /etc/apache2/sites-available/reviews.conf
rm /etc/apache2/sites-enabled/*.conf
ln -s /etc/apache2/sites-available/reviews.conf /etc/apache2/sites-enabled/reviews.conf


exec apachectl -DFOREGROUND

